# No SOURCE spec-file
#
#
%define mozillalibdir %{_libdir}/%{oname}
%define pluginsdir /usr/lib/mozilla/plugins
%define oname basilisk

Summary:	Basilisk is a free and Open Source XUL-based web browser
Name:		basilisk-browser
Version:	2024.02.03
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.palemoon.org/
Source3:	%{oname}.png
Source4:	%{oname}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	%{oname} < %version
Provides: %{oname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Basilisk is a free and Open Source XUL-based web browser, featuring the well-known
Firefox-style interface and operation. It is based on the Goanna layout and rendering
engine (a fork of Gecko) and builds on the Unified XUL Platform (UXP), which in turn
is a fork of the Mozilla code base without Servo or Rust.



%prep
#Here we go!
cd %_builddir
wget -nc https://archive.basilisk-browser.org/2024.02.03/linux/x86_64/gtk3/basilisk-20240203205403.linux-x86_64-gtk3.tar.xz
tar -xf basilisk-20240203205403.linux-x86_64-gtk3.tar.xz

%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %{oname}/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/basilisk %{buildroot}%{_bindir}/basilisk

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{oname}.png


%post
%update_menus


%postun
%clean_menus


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Sun Feb 11 2024 tex - 2024.02.03-1pclos2024
- new version

* Sun Dec 17 2023 tex - 2023.12.09-1pclos2023
- new version

* Tue Nov 07 2023 tex - 2023.11.05-1pclos2023
- new version

